package com.duolebo.blyrobot.data

import com.duolebo.appbase.prj.XMLHelper
import com.duolebo.appbase.prj.bmtv.model.ModelBase
import org.json.JSONArray
import org.json.JSONObject

class ApkReportData: ModelBase() {
    var result = -1

    override fun from(json: JSONObject): Boolean {
        val data = json.optJSONArray("data")
        if (data != null) {
        }
        result = 0
        return true
    }

    override fun from(p0: JSONArray?): Boolean {
        return false
    }

    override fun from(p0: XMLHelper?): Boolean {
        return false
    }

    override fun getCode(): Int {
        return result
    }

}